Hooks:PostHook(NewRaycastWeaponBase, "_update_stats_values", "brennerleftie_init_grippoints_postassembly", function(self)
	
	-- I'd hook into NewRaycastWeaponBase instead but for some reason this utterly breaks other posthooks on this function
	if not _G.IS_VR then
		return
	end
	
	-- Ugly hack, check if self has a function that only exists in VR
	-- This prevents this function from unnecessarily running on teammate and bot weapons and ensures we're actually dealing with an instance of NewraycastWeaponBaseVR
	if not self.spawn_belt_magazine_unit then
		return
	end

    local weapon_mod_data = tweak_data.vr.weapon_assist.weapons[self._name_id] and tweak_data.vr.weapon_assist.weapons[self._name_id].weapon_mods

    if not weapon_mod_data then
        return
    end

    -- Go over all custom grip point offsets for this weapon
    for mod_id, mod_data in pairs(weapon_mod_data) do
        -- Check if the weapon currently has the grip point installed
        if self:has_part(mod_id) then
            -- Check for overrides and apply them
            if mod_data.overrides then
                for k, override in pairs(mod_data.overrides) do
                    tweak_data.vr.weapon_assist.weapons[self._name_id].points[k] = override
                end
            end
        end
    end

end)
